namespace Domain.Aggregates.Users.Data;

public interface IUserRepository
{
    Task AddAsync(User user);
    Task<List<User>> GetAllAsync();
    Task<User?> GetAsync(Guid userId);
    void Remove(User user);
    Task SaveChangesAsync();
}
